sectionGrid {oce} | R Documentation

## Grid a section

### Description

Grid a section, by interpolating to fixed pressure levels.

### Usage

    sectionGrid(section, p, method="approx", debug=getOption("oceDebug"), ...)

### Arguments

`section` | a `section` object containing the section to be gridded.
`p` | optional indication of the pressure levels to which interpolation should be done. If this is not supplied, the pressure levels will be calculated based on the typical spacing in the ctd profiles stored within `section`. If `p="levitus"`, then pressures will be set to be those of the Levitus atlas, given by `standardDepths`, trimmed to the maximum pressure in `section`. If `p` is a single numerical value, it is taken as the number of subdivisions to use in a call to `seq` that has range from 0 to the maximum pressure in `section`. Finally, if a vector numerical values is provided, then it is used as is.
`method` | the method to use to decimate data within the stations; see `ctdDecimate`, which is used for the decimation.
`debug` | a flag that turns on debugging. The value indicates the depth within the call stack to which debugging applies. For example, `read.adv.nortek()` calls `read.header.nortek()`, so that `read.adv.nortek(...,debug=2)` provides information about not just the main body of the data file, but also the details of the header.
`...` | optional arguments to be supplied to `ctdDecimate`.

### Details

The `"approx"`, `"boxcar"` and `"lm"` methods are described in the documentation for `ctdDecimate`, which is used to do this processing. The default `"approx"` method is best for bottle data, the `"boxcar"` is best for ctd data, and the `"lm"` method is probably too slow to recommend for exploratory work, in which it is common to do trials with a variety of `"p"` values.

### Value

An object of `class` `"section"` that contains stations whose pressure values match identically.

### Author(s)

Dan Kelley

### See Also

The documentation for `section-class` explains the structure of section objects, and also outlines the other functions dealing with them.

### Examples

    # Gulf Stream
    library(oce)
    data(section)
    GS <- subset(section, 109<=stationId&stationId<=129)
    GSg <- sectionGrid(GS, p=seq(0, 5000, 100))
    plot(GSg, map.xlim=c(-80,-60))

[Package oce version 0.9-18 Index]